[Python-apps-commits] r2146 - in packages/wicd/trunk/debian (changelog postinst postrm)

hanska-guest at users.alioth.debian.org hanska-guest at users.alioth.debian.org
Fri Jan 2 17:12:54 UTC 2009


    Date: Friday, January 2, 2009 @ 17:12:54
  Author: hanska-guest
Revision: 2146

* debian/postinst updated:
* debian/postrm updated:
  - forcibly reload dbus upon installation or removal

Added:
  packages/wicd/trunk/debian/postinst
Modified:
  packages/wicd/trunk/debian/changelog
  packages/wicd/trunk/debian/postrm

Modified: packages/wicd/trunk/debian/changelog
===================================================================
--- packages/wicd/trunk/debian/changelog	2009-01-02 17:01:59 UTC (rev 2145)
+++ packages/wicd/trunk/debian/changelog	2009-01-02 17:12:54 UTC (rev 2146)
@@ -6,9 +6,11 @@
       (Closes: #510461)
     - also removing other/55wicd in clean target
     - binary-arch target emptied, not using it
-  * debian/{pre,post}rm removed:
-    - fix double-{starting,stopping} of wicd, which stopped the daemon 
-      from really starting
+  * debian/prerm removed:
+  * debian/postinst updated:
+  * debian/postrm updated:
+    - fix double-{starting,stopping} of wicd
+    - forcibly reload dbus upon installation or removal
   * debian/default added.
   * debian/init updated:
     - allow to disable the daemon in /etc/default/wicd.
@@ -24,7 +26,7 @@
     - set PYTHONPATH while executing script so Python will find them
       in the private directory (Closes: #510308)
 
- -- David Paleino <d.paleino at gmail.com>  Fri, 02 Jan 2009 15:01:28 +0100
+ -- David Paleino <d.paleino at gmail.com>  Fri, 02 Jan 2009 18:11:34 +0100
 
 wicd (1.5.7-1) unstable; urgency=low
 

Added: packages/wicd/trunk/debian/postinst
===================================================================
--- packages/wicd/trunk/debian/postinst	                        (rev 0)
+++ packages/wicd/trunk/debian/postinst	2009-01-02 17:12:54 UTC (rev 2146)
@@ -0,0 +1,43 @@
+#!/bin/sh
+# postinst script for wicd
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+        if [ -x "/etc/init.d/dbus" ]; then
+            if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
+                invoke-rc.d dbus force-reload || exit $?
+            else
+                /etc/init.d/dbus force-reload || exit $?
+            fi
+        fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+#DEBHELPER#
+
+exit 0

Modified: packages/wicd/trunk/debian/postrm
===================================================================
--- packages/wicd/trunk/debian/postrm	2009-01-02 17:01:59 UTC (rev 2145)
+++ packages/wicd/trunk/debian/postrm	2009-01-02 17:12:54 UTC (rev 2146)
@@ -25,6 +25,13 @@
         rm -rf /etc/wicd
         rm -rf /var/lib/wicd
         rm -rf /var/log/wicd
+        if [ -x "/etc/init.d/dbus" ]; then
+            if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
+                invoke-rc.d dbus force-reload || exit $?
+            else
+                /etc/init.d/dbus force-reload || exit $?
+            fi
+        fi
     ;;
 
     *)




More information about the Python-apps-commits mailing list